PgpKeyId (Gradle API 8.11.1)

Package org.gradle.plugins.signing.signatory.pgp

## Class PgpKeyId

- java.lang.Object
- - org.gradle.plugins.signing.signatory.pgp.PgpKeyId

- All Implemented Interfaces:
    `java.lang.Comparable<PgpKeyId>`

      public class PgpKeyId
      extends java.lang.Object
      implements java.lang.Comparable<PgpKeyId>

  A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PgpKeyId​(long keyId)` |
    `PgpKeyId​(java.lang.String keyId)` |
    `PgpKeyId​(org.bouncycastle.openpgp.PGPPublicKey keyId)` |
    `PgpKeyId​(org.bouncycastle.openpgp.PGPSignature signature)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(PgpKeyId other)` |
    `boolean` | `equals​(java.lang.Object other)` |
    `java.lang.String` | `getAsHex()` |
    `long` | `getAsLong()` |
    `int` | `hashCode()` |
    `static java.lang.String` | `toHex​(long keyId)` |
    `static long` | `toLong​(java.lang.String keyId)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgpKeyId

          public PgpKeyId​(long keyId)

    - #### PgpKeyId

          public PgpKeyId​(org.bouncycastle.openpgp.PGPPublicKey keyId)

    - #### PgpKeyId

          public PgpKeyId​(org.bouncycastle.openpgp.PGPSignature signature)

    - #### PgpKeyId

          public PgpKeyId​(java.lang.String keyId)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(PgpKeyId other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<PgpKeyId>`

    - #### getAsHex

          public final java.lang.String getAsHex()

    - #### getAsLong

          public final long getAsLong()

    - #### toHex

          public static java.lang.String toHex​(long keyId)

    - #### toLong

          public static long toLong​(java.lang.String keyId)